Bug 1150090 - Review Request: python-quantities - Support for physical quantities with units, based on numpy
Summary: Review Request: python-quantities - Support for physical quantities with unit...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1150099
TreeView+ depends on / blocked
 
Reported: 2014-10-07 12:18 UTC by Ankur Sinha (FranciscoD)
Modified: 2014-10-14 04:41 UTC (History)
1 user (show)

Fixed In Version: python-lazyarray-0.2.7-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 04:41:06 UTC
Type: ---
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2014-10-07 12:18:06 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-quantities/python-quantities.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-quantities/python-quantities-0.10.1-1.fc22.src.rpm

Description: 
Quantities is designed to handle arithmetic and conversions of physical
quantities, which have a magnitude, dimensionality specified by various units,
and possibly an uncertainty. See the tutorial for examples. Quantities builds
on the popular numpy library and is designed to work with numpy ufuncs, many of
which are already supported. Quantities is actively developed, and while the
current features and API are stable, test coverage is incomplete so the package
is not suggested for mission-critical applications.


Fedora Account System Username: ankursinha

Comment 1 Antonio T. (sagitter) 2014-10-07 15:48:37 UTC
- None License file is provided and packaged.
  BSD license is just indicated in PKG-INFO file.

- test_squeeze fails, even if it seems a known problem
  https://github.com/python-quantities/python-quantities/pull/57

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 136 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/1150090-python-
     quantities/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.4, /usr/lib/python3.4/site-
     packages
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.4/site-packages,
     /usr/lib/python3.4
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Python:
[-]: Binary eggs must be removed in %prep
     Note: Test run failed
[x]: Python eggs must not download any dependencies during the build process.
     Note: Test run failed
[x]: A package which is used by another package via an egg interface should
     provide egg info.
     Note: Test run failed
[x]: Package meets the Packaging Guidelines::Python
     Note: Test run failed
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-quantities
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-quantities-0.10.1-1.fc22.noarch.rpm
          python3-quantities-0.10.1-1.fc22.noarch.rpm
          python-quantities-0.10.1-1.fc22.src.rpm
python-quantities.noarch: W: spelling-error %description -l en_US dimensionality -> dimensional
python-quantities.noarch: W: spelling-error %description -l en_US ufuncs -> functions
python3-quantities.noarch: W: spelling-error Summary(en_US) numpy -> bumpy, lumpy, dumpy
python3-quantities.noarch: W: spelling-error %description -l en_US dimensionality -> dimensional
python3-quantities.noarch: W: spelling-error %description -l en_US numpy -> bumpy, lumpy, dumpy
python3-quantities.noarch: W: spelling-error %description -l en_US ufuncs -> functions
python-quantities.src: W: spelling-error %description -l en_US dimensionality -> dimensional
python-quantities.src: W: spelling-error %description -l en_US ufuncs -> functions
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-quantities python-quantities
python3-quantities.noarch: W: spelling-error Summary(en_US) numpy -> bumpy, lumpy, dumpy
python3-quantities.noarch: W: spelling-error %description -l en_US dimensionality -> dimensional
python3-quantities.noarch: W: spelling-error %description -l en_US numpy -> bumpy, lumpy, dumpy
python3-quantities.noarch: W: spelling-error %description -l en_US ufuncs -> functions
python-quantities.noarch: W: spelling-error %description -l en_US dimensionality -> dimensional
python-quantities.noarch: W: spelling-error %description -l en_US ufuncs -> functions
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-quantities (rpmlib, GLIBC filtered):
    python(abi)

python-quantities (rpmlib, GLIBC filtered):
    numpy
    python(abi)
    python3-numpy



Provides
--------
python3-quantities:
    python3-quantities

python-quantities:
    python-quantities



Source checksums
----------------
https://pypi.python.org/packages/source/q/quantities/quantities-0.10.1.tar.gz :
  CHECKSUM(SHA256) this package     : 2d27caf31a5e0c37130ac0c14bfa8f9412a5ff1fbf3378a1d6085594776c4315
  CHECKSUM(SHA256) upstream package : 2d27caf31a5e0c37130ac0c14bfa8f9412a5ff1fbf3378a1d6085594776c4315


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1150090
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Ankur Sinha (FranciscoD) 2014-10-07 17:32:31 UTC
Hi Antonio,

Thank you for the review. I've added a license that upstream has in it's git repo. This will probably be included in the next release. 

As for the test, I can push an update once upstream fixes it. There isn't much I can do at the moment about it.

Updated spec/srpm:

https://ankursinha.fedorapeople.org/python-quantities/python-quantities.spec
https://ankursinha.fedorapeople.org/python-quantities/python-quantities-0.10.1-1.fc22.src.rpm

Thanks,
Ankur

Comment 3 Antonio T. (sagitter) 2014-10-07 17:53:02 UTC
Approved.

Comment 4 Ankur Sinha (FranciscoD) 2014-10-07 21:07:12 UTC
Thanks for the quick review Antonio :)

New Package SCM Request
=======================
Package Name: python-quantities
Short Description: Support for physical quantities with units, based on numpy
Upstream URL: https://pythonhosted.org/quantities/
Owners: ankursinha
Branches: f20 f21 
InitialCC:

Comment 5 Gwyn Ciesla 2014-10-08 10:20:55 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-10-08 16:56:31 UTC
python-lazyarray-0.2.7-3.fc21,python-quantities-0.10.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-lazyarray-0.2.7-3.fc21,python-quantities-0.10.1-1.fc21

Comment 7 Fedora Update System 2014-10-08 16:56:40 UTC
python-lazyarray-0.2.7-3.fc20,python-quantities-0.10.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-lazyarray-0.2.7-3.fc20,python-quantities-0.10.1-1.fc20

Comment 8 Fedora Update System 2014-10-10 16:05:43 UTC
python-lazyarray-0.2.7-3.fc21, python-quantities-0.10.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Fedora Update System 2014-10-14 04:41:06 UTC
python-lazyarray-0.2.7-3.fc21, python-quantities-0.10.1-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.